# MinIO Docker Setup

This repository provides a quick and easy setup to create a [MinIO](https://min.io) instance using Docker Compose.

## Prerequisites

- Docker
- Docker Compose

## Getting Started

1. Clone the repository:
   ```bash
   git clone https://git.openharbor.io/Open-Harbor/docker-minio-dev
   ```

2. Copy the `.env.example` file to create a new `.env` file. This will allow you to set environment variables for the MinIO instance:
   ```bash
   cp .env.example .env
   ```

3. Update the `.env` file with your desired credentials:
   ```env
   ROOT_USER=<your-root-user>
   ROOT_PASS=<your-root-password>
   ```

4. Start the MinIO instance:
   ```bash
   docker-compose up -d
   ```

   MinIO will now be available at `http://localhost:9000`. Use the `ROOT_USER` and `ROOT_PASS` specified in your `.env` file to log in.

## Configuration

The `.env` file should contain the following variables:
- `ROOT_USER`: The root username for the MinIO instance.
- `ROOT_PASS`: The root password for the MinIO instance.

## Useful Resources

- [MinIO GitHub Repository](https://github.com/minio/minio) - For more details on MinIO and its development.
- [MinIO Documentation](https://min.io/docs/minio/container/index.html) - Official documentation for running MinIO in containers.

## Stopping the MinIO Instance

To stop and remove the containers, use:
```bash
docker-compose down
```

## License

This project uses the [MinIO software](https://min.io/docs/minio/container/index.html), which is licensed under the Apache License 2.0.

